%global momorel 8
Summary: RPM Spec File mode for Emacsen
Name: elisp-rpm-mode
Version: 1.38
Release: %{momorel}m
License: GPL
Group: Applications/Editors
URL: http://www.karaba.org/~mk/rpm/rpm.html
#Source0: http://www.karaba.org/~mk/rpm/rpm-mode.el.gz
#NoSource: 0
Source0: rpm-mode.el
Patch0: rpm-mode-font-lock-keywords.patch
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs
BuildPreReq: xemacs

%description
rpm-mode is Emacs Lisp for editing RPM spec file.

%package -n rpm-mode-emacs
Summary: RPM Spec File mode for Emacsen
Group: Applications/Editors
Requires: emacs

%description -n rpm-mode-emacs
rpm-mode is Emacs Lisp for editing RPM spec file.

%package -n rpm-mode-xemacs
Summary: RPM Spec File mode for Emacsen
Group: Applications/Editors
Requires: xemacs

%description -n rpm-mode-xemacs
rpm-mode is Emacs Lisp for editing RPM spec file.

%prep
%setup -q -c -T 0
cp -p %{SOURCE0} .
%patch0 -p0 -b .original

%build
emacs -q -no-site-file -batch -f batch-byte-compile rpm-mode.el
mv rpm-mode.elc rpm-mode.elc.emacs
LANG=ja_JP.EUC-JP xemacs -q -no-site-file -batch -f batch-byte-compile rpm-mode.el
mv rpm-mode.elc rpm-mode.elc.xemacs

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp
install -m 644 rpm-mode.el %{buildroot}%{_datadir}/emacs/site-lisp
install -m 644 rpm-mode.elc.emacs %{buildroot}%{_datadir}/emacs/site-lisp/rpm-mode.elc
mkdir -p %{buildroot}%{_libdir}/xemacs/site-lisp
install -m 644 rpm-mode.el %{buildroot}%{_libdir}/xemacs/site-lisp/
install -m 644 rpm-mode.elc.xemacs %{buildroot}%{_libdir}/xemacs/site-lisp/rpm-mode.elc

%clean
rm -rf %{buildroot}

%files -n rpm-mode-emacs
%defattr(-, root, root)
%{_datadir}/emacs/site-lisp/*

%files -n rpm-mode-xemacs
%defattr(-, root, root)
%{_libdir}/xemacs/site-lisp/*

%changelog
* Fri Dec 26 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.38-8m)
- modify patch0 again.

* Sat Dec 20 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.38-7m)
- modify patch0 again.

* Wed Dec 17 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.38-6m)
- modify patch0

* Wed Apr  2 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.38-5m)
- modify patch0

* Wed Mar 26 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.38-4m)
- modify fontify keywords. (add patch0)

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-2m)
- rebuild against emacs-21.3
- use %%{_prefix} %%{_datadir} %%{_libdir} macro

* Sat Jul  6 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.38-1m)
